#include <stdio.h>
#include <string.h>
#include <assert.h>

#include <iostream>
#include <string>
#include <sstream>
#include <algorithm>
#include <iterator>
#include <vector>

using namespace std;

void yodizza(char S[], char Y[]) {
    istringstream iss(S);
    vector<string> tokens{istream_iterator<string>{iss}, istream_iterator<string>{}};

    ostringstream oss;
    oss << tokens.back();
    tokens.pop_back();
    while(!tokens.empty()) {
        oss << " " << tokens.back();
        tokens.pop_back();
    }
    strcpy(Y, oss.str().c_str());
}


#define MAXS 100000

char S[MAXS + 1], Y[MAXS + 10];

int main() {
    FILE *fr, *fw;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(NULL != fgets(S, MAXS + 1, fr));

    yodizza(S, Y);

    fprintf(fw, "%s\n", Y);
    fclose(fr);
    fclose(fw);
    return 0;
}
